# Legal Entities APIs to create and manage company legal entities. ## Create legal entity - [POST /v2/companies/{companyId}/legal-entities](https://developer.spotnana.com/openapi/companyapi/legal-entities/createlegalentity.md): This endpoint creates a legal entity. ## List legal entities - [GET /v2/companies/{companyId}/legal-entities](https://developer.spotnana.com/openapi/companyapi/legal-entities/listlegalentities.md): This endpoint lists legal entities of a company. If externalId is provided in the query param only the legal entity having the provided externalId is returned. ## Get legal entity - [GET /v2/companies/{companyId}/legal-entities/{legalEntityId}](https://developer.spotnana.com/openapi/companyapi/legal-entities/getlegalentity.md): This endpoint gets a legal entity by ID. ## Update legal entity - [PUT /v2/companies/{companyId}/legal-entities/{legalEntityId}](https://developer.spotnana.com/openapi/companyapi/legal-entities/updatelegalentity.md): This endpoint updates a legal entity by ID. ## Delete legal entity - [DELETE /v2/companies/{companyId}/legal-entities/{legalEntityId}](https://developer.spotnana.com/openapi/companyapi/legal-entities/deletelegalentity.md): This endpoint deletes a legal entity by ID.